List workspace registrations for a workflow template
curl --request GET \
--url https://api.range.org/v2/workflows/templates/{template}/accounts \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.range.org/v2/workflows/templates/{template}/accounts"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.range.org/v2/workflows/templates/{template}/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"client_tax_id": "<string>",
"client_tax_id_type": "cpf",
"address_type": "<string>",
"wallet_type": "<string>"
}
],
"meta": {
"next_cursor": "eyJpZCI6IjkxeFFlV3Z...",
"previous_cursor": "eyJpZCI6IjkxeFFlV3Z...",
"first_page_cursor": "eyJpZCI6IjkxeFFlV3Z...",
"last_page_cursor": "eyJpZCI6IjkxeFFlV3Z...",
"total_count": 100,
"page_number": 1
}
}Workflows
List workspace registrations for a workflow template
Filters combine with AND before pagination. Registrations are shared by every instance of a template in the workspace. Filters affect this list only, never workflow execution. Unsupported template filters and repeated values return 400.
GET
/
v2
/
workflows
/
templates
/
{template}
/
accounts
List workspace registrations for a workflow template
Authorizations
AuthorizationAuthorization
Authorization method required to allow user to access the api endpoints.
Path Parameters
Query Parameters
5711 only. Exact CPF/CNPJ; whitespace, periods, slashes and hyphens are removed. Type is optional.
5711 only. May be used without a tax ID.
Available options:
cpf, cnpj 5710 only.
Available options:
CUSTODIA_PROPRIA_OMNIBUS, CUSTODIA_PROPRIA_SEGREGADO, SUBCUSTODIANTE_TERCEIRO, CONTRATO_TOKEN, CONTRATO_STAKING, VALIDADOR, DEPOSITO_EXCHANGE, NAO_VERIFICAVEL_ONCHAIN, 99 5710 only.
Available options:
QUENTE, MORNA, FRIA, CUSTODIA_TERCEIRO, NAO_APLICAVEL, 99 Available options:
own, client, other_fi Required range:
1 <= x <= 100Last modified on September 23, 2026
Was this page helpful?